// DIBitmap.h : header file
//

/////////////////////////////////////////////////////////////////////////////
//  CDIBitmap
class CDIBitmap
{
public:
	void DrawBitmap(CDC* pDC, CRect* rect);
	CDIBitmap();
	~CDIBitmap();
public:
// Overrides
	CString GetFileName(BYTE bIndex) const;
	BOOL LoadRis(int index);
	BITMAPINFO* GetBMHdrPtr() {return m_pBMI;} //    
    BYTE* GetBMBitsPtr() {return m_pBits;}     //    
	BOOL LoadDIB(CFile* fRis);
	RGBQUAD* GetBMColorTabPtr();
	void DrawBitmap(CDC* pDC, int x, int y,	int Width, int Height);
	void DrawBitmap(CDC* pDC, int x, int y);
	int GetNumClrEntries();
	int GetBMWidth();
	int GetBMHeight();
private:
	BOOL IsPMDIB(BITMAPINFOHEADER* pBIH);
	int GetColorEntriesInDIB(BITMAPINFO* pBmpInfo);
private:
	BITMAPINFO* m_pBMI;
	BYTE* m_pBits;
};
