// OutputData.cpp : implementation file
//

#include "stdafx.h"
#include "VGK.h"
#include "VGKDoc.h"
#include "OutputData.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COutputData dialog

COutputData::COutputData()
	: CDialog()
{
	//{{AFX_DATA_INIT(COutputData)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}
COutputData::~COutputData()
{
	DestroyWindow();
}

BEGIN_MESSAGE_MAP(COutputData, CDialog)
	//{{AFX_MSG_MAP(COutputData)
	ON_WM_CLOSE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COutputData message handlers

BOOL COutputData::OnInitDialog() 
{
	CDialog::OnInitDialog();
	InitOutputList();
	CenterWindow();
	// TODO: Add extra initialization here
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void COutputData::OnClose() 
{
	// TODO: Add your message handler code here and/or call default
	CFrameWnd* frame = GetParentFrame();
	CDialogBar* dlg = (CDialogBar*)frame->GetControlBar( IDW_ALGORITHM );
	CListBox* listbox = (CListBox*)dlg->GetDlgItem(IDC_ALGORITHM_LIST);
	listbox->SetCurSel(0);
	frame->Invalidate();
	DestroyWindow();
	CDialog::OnClose();
}

void COutputData::InitOutputList()
{
	CFrameWnd* frame = GetParentFrame();
	CVGKDoc* pDoc = (CVGKDoc*)frame->GetActiveDocument( );
	CListBox* listbox = (CListBox*)GetDlgItem(IDC_OUTPUTLIST);
	CDC* pDC = listbox->GetDC();
	pDC->SelectObject(listbox->GetFont( ));
	if (pDoc->Calculate())
	{
		int i, maxcx = 0;
		CSize s;
		CString t;
		for (i=0;i<=23;i++)
		{
			t = pDoc->GetOutputStr(i);
			t = t.Left(t.Find("\t"))+" = "+t.Right(t.GetLength()-t.Find("\t")-1);
			listbox->AddString(t);
			s = pDC->GetTextExtent(t);
			if (s.cx > maxcx) maxcx = s.cx;
		}
		listbox->SetHorizontalExtent(maxcx+20);
	}
	else
	{
		const LPCTSTR erstr[]=
		{
			" .",
			",    ."
		};
		listbox->SetHorizontalExtent( pDC->GetTextExtent((CString)erstr[1]).cx + 5 );
		listbox->AddString(erstr[0]);
		listbox->AddString(erstr[1]);
	}
	pDC->SelectStockObject(SYSTEM_FONT);
}

void COutputData::Close()
{
	OnClose();
}
