// VGKView.h : interface of the CVGKView class
//
#include "DIBitmap.h"
/////////////////////////////////////////////////////////////////////////////

class CVGKView : public CView
{
protected: // create from serialization only
	CVGKView();
	DECLARE_DYNCREATE(CVGKView)

// Attributes
public:
	int DisplayByWords(CDC* pDC, CRect* rect, CString* str);
	CVGKDoc* GetDocument();
	CDIBitmap bitmap;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVGKView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVGKView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CVGKView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in VGKView.cpp
inline CVGKDoc* CVGKView::GetDocument()
   { return (CVGKDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
